Package org.apache.calcite.avatica.proto

## Class Responses.ExecuteResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>
      - - org.apache.calcite.avatica.proto.Responses.ExecuteResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Responses.ExecuteResponseOrBuilder`

Enclosing class:
  Responses.ExecuteResponse

    public static final class Responses.ExecuteResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>
    implements Responses.ExecuteResponseOrBuilder

     Response to PrepareAndExecuteRequest

Protobuf type `ExecuteResponse`

### Field Summary

Fields
`private int` `bitField0_`
`private Responses.RpcMetadata` `metadata_`
`private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder>` `metadataBuilder_`
`private boolean` `missingStatement_`
`private java.util.List<Responses.ResultSetResponse>` `results_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Responses.ResultSetResponse,​Responses.ResultSetResponse.Builder,​Responses.ResultSetResponseOrBuilder>` `resultsBuilder_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Responses.ExecuteResponse.Builder` `addAllResults​(java.lang.Iterable<? extends Responses.ResultSetResponse> values)` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Responses.ExecuteResponse.Builder` `addResults​(int index, Responses.ResultSetResponse value)` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse.Builder` `addResults​(int index, Responses.ResultSetResponse.Builder builderForValue)` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse.Builder` `addResults​(Responses.ResultSetResponse value)` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse.Builder` `addResults​(Responses.ResultSetResponse.Builder builderForValue)` `repeated .ResultSetResponse results = 1;`
`Responses.ResultSetResponse.Builder` `addResultsBuilder()` `repeated .ResultSetResponse results = 1;`
`Responses.ResultSetResponse.Builder` `addResultsBuilder​(int index)` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse` `build()`
`Responses.ExecuteResponse` `buildPartial()`
`Responses.ExecuteResponse.Builder` `clear()`
`Responses.ExecuteResponse.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Responses.ExecuteResponse.Builder` `clearMetadata()` `.RpcMetadata metadata = 3;`
`Responses.ExecuteResponse.Builder` `clearMissingStatement()` Did the request fail because of no-cached statement
`Responses.ExecuteResponse.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Responses.ExecuteResponse.Builder` `clearResults()` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse.Builder` `clone()`
`private void` `ensureResultsIsMutable()`
`Responses.ExecuteResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 3;`
`Responses.RpcMetadata.Builder` `getMetadataBuilder()` `.RpcMetadata metadata = 3;`
`private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder>` `getMetadataFieldBuilder()` `.RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 3;`
`boolean` `getMissingStatement()` Did the request fail because of no-cached statement
`Responses.ResultSetResponse` `getResults​(int index)` `repeated .ResultSetResponse results = 1;`
`Responses.ResultSetResponse.Builder` `getResultsBuilder​(int index)` `repeated .ResultSetResponse results = 1;`
`java.util.List<Responses.ResultSetResponse.Builder>` `getResultsBuilderList()` `repeated .ResultSetResponse results = 1;`
`int` `getResultsCount()` `repeated .ResultSetResponse results = 1;`
`private com.google.protobuf.RepeatedFieldBuilderV3<Responses.ResultSetResponse,​Responses.ResultSetResponse.Builder,​Responses.ResultSetResponseOrBuilder>` `getResultsFieldBuilder()`
`java.util.List<Responses.ResultSetResponse>` `getResultsList()` `repeated .ResultSetResponse results = 1;`
`Responses.ResultSetResponseOrBuilder` `getResultsOrBuilder​(int index)` `repeated .ResultSetResponse results = 1;`
`java.util.List<? extends Responses.ResultSetResponseOrBuilder>` `getResultsOrBuilderList()` `repeated .ResultSetResponse results = 1;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Responses.ExecuteResponse.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Responses.ExecuteResponse.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Responses.ExecuteResponse.Builder` `mergeFrom​(Responses.ExecuteResponse other)`
`Responses.ExecuteResponse.Builder` `mergeMetadata​(Responses.RpcMetadata value)` `.RpcMetadata metadata = 3;`
`Responses.ExecuteResponse.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Responses.ExecuteResponse.Builder` `removeResults​(int index)` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Responses.ExecuteResponse.Builder` `setMetadata​(Responses.RpcMetadata value)` `.RpcMetadata metadata = 3;`
`Responses.ExecuteResponse.Builder` `setMetadata​(Responses.RpcMetadata.Builder builderForValue)` `.RpcMetadata metadata = 3;`
`Responses.ExecuteResponse.Builder` `setMissingStatement​(boolean value)` Did the request fail because of no-cached statement
`Responses.ExecuteResponse.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Responses.ExecuteResponse.Builder` `setResults​(int index, Responses.ResultSetResponse value)` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse.Builder` `setResults​(int index, Responses.ResultSetResponse.Builder builderForValue)` `repeated .ResultSetResponse results = 1;`
`Responses.ExecuteResponse.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### bitField0_

    private int bitField0_

#### results_

    private java.util.List<Responses.ResultSetResponse> results_

#### resultsBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Responses.ResultSetResponse,​Responses.ResultSetResponse.Builder,​Responses.ResultSetResponseOrBuilder> resultsBuilder_

#### missingStatement_

    private boolean missingStatement_

#### metadata_

    private Responses.RpcMetadata metadata_

#### metadataBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder> metadataBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Responses.ExecuteResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### getDefaultInstanceForType

    public Responses.ExecuteResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Responses.ExecuteResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Responses.ExecuteResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Responses.ExecuteResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### setField

    public Responses.ExecuteResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### clearField

    public Responses.ExecuteResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### clearOneof

    public Responses.ExecuteResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### setRepeatedField

    public Responses.ExecuteResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              int index,
                                                              java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### addRepeatedField

    public Responses.ExecuteResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### mergeFrom

    public Responses.ExecuteResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.ExecuteResponse.Builder>`

#### mergeFrom

    public Responses.ExecuteResponse.Builder mergeFrom​(Responses.ExecuteResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### mergeFrom

    public Responses.ExecuteResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.ExecuteResponse.Builder>`
Throws:
  `java.io.IOException`

#### ensureResultsIsMutable

    private void ensureResultsIsMutable()

#### getResultsList

    public java.util.List<Responses.ResultSetResponse> getResultsList()

`repeated .ResultSetResponse results = 1;`

Specified by:
  `getResultsList` in interface `Responses.ExecuteResponseOrBuilder`

#### getResultsCount

    public int getResultsCount()

`repeated .ResultSetResponse results = 1;`

Specified by:
  `getResultsCount` in interface `Responses.ExecuteResponseOrBuilder`

#### getResults

    public Responses.ResultSetResponse getResults​(int index)

`repeated .ResultSetResponse results = 1;`

Specified by:
  `getResults` in interface `Responses.ExecuteResponseOrBuilder`

#### setResults

    public Responses.ExecuteResponse.Builder setResults​(int index,
                                                        Responses.ResultSetResponse value)

`repeated .ResultSetResponse results = 1;`

#### setResults

    public Responses.ExecuteResponse.Builder setResults​(int index,
                                                        Responses.ResultSetResponse.Builder builderForValue)

`repeated .ResultSetResponse results = 1;`

#### addResults

    public Responses.ExecuteResponse.Builder addResults​(Responses.ResultSetResponse value)

`repeated .ResultSetResponse results = 1;`

#### addResults

    public Responses.ExecuteResponse.Builder addResults​(int index,
                                                        Responses.ResultSetResponse value)

`repeated .ResultSetResponse results = 1;`

#### addResults

    public Responses.ExecuteResponse.Builder addResults​(Responses.ResultSetResponse.Builder builderForValue)

`repeated .ResultSetResponse results = 1;`

#### addResults

    public Responses.ExecuteResponse.Builder addResults​(int index,
                                                        Responses.ResultSetResponse.Builder builderForValue)

`repeated .ResultSetResponse results = 1;`

#### addAllResults

    public Responses.ExecuteResponse.Builder addAllResults​(java.lang.Iterable<? extends Responses.ResultSetResponse> values)

`repeated .ResultSetResponse results = 1;`

#### clearResults

    public Responses.ExecuteResponse.Builder clearResults()

`repeated .ResultSetResponse results = 1;`

#### removeResults

    public Responses.ExecuteResponse.Builder removeResults​(int index)

`repeated .ResultSetResponse results = 1;`

#### getResultsBuilder

    public Responses.ResultSetResponse.Builder getResultsBuilder​(int index)

`repeated .ResultSetResponse results = 1;`

#### getResultsOrBuilder

    public Responses.ResultSetResponseOrBuilder getResultsOrBuilder​(int index)

`repeated .ResultSetResponse results = 1;`

Specified by:
  `getResultsOrBuilder` in interface `Responses.ExecuteResponseOrBuilder`

#### getResultsOrBuilderList

    public java.util.List<? extends Responses.ResultSetResponseOrBuilder> getResultsOrBuilderList()

`repeated .ResultSetResponse results = 1;`

Specified by:
  `getResultsOrBuilderList` in interface `Responses.ExecuteResponseOrBuilder`

#### addResultsBuilder

    public Responses.ResultSetResponse.Builder addResultsBuilder()

`repeated .ResultSetResponse results = 1;`

#### addResultsBuilder

    public Responses.ResultSetResponse.Builder addResultsBuilder​(int index)

`repeated .ResultSetResponse results = 1;`

#### getResultsBuilderList

    public java.util.List<Responses.ResultSetResponse.Builder> getResultsBuilderList()

`repeated .ResultSetResponse results = 1;`

#### getResultsFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Responses.ResultSetResponse,​Responses.ResultSetResponse.Builder,​Responses.ResultSetResponseOrBuilder> getResultsFieldBuilder()

#### getMissingStatement

    public boolean getMissingStatement()

     Did the request fail because of no-cached statement

`bool missing_statement = 2;`

Specified by:
  `getMissingStatement` in interface `Responses.ExecuteResponseOrBuilder`

#### setMissingStatement

    public Responses.ExecuteResponse.Builder setMissingStatement​(boolean value)

     Did the request fail because of no-cached statement

`bool missing_statement = 2;`

#### clearMissingStatement

    public Responses.ExecuteResponse.Builder clearMissingStatement()

     Did the request fail because of no-cached statement

`bool missing_statement = 2;`

#### hasMetadata

    public boolean hasMetadata()

`.RpcMetadata metadata = 3;`

Specified by:
  `hasMetadata` in interface `Responses.ExecuteResponseOrBuilder`

#### getMetadata

    public Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 3;`

Specified by:
  `getMetadata` in interface `Responses.ExecuteResponseOrBuilder`

#### setMetadata

    public Responses.ExecuteResponse.Builder setMetadata​(Responses.RpcMetadata value)

`.RpcMetadata metadata = 3;`

#### setMetadata

    public Responses.ExecuteResponse.Builder setMetadata​(Responses.RpcMetadata.Builder builderForValue)

`.RpcMetadata metadata = 3;`

#### mergeMetadata

    public Responses.ExecuteResponse.Builder mergeMetadata​(Responses.RpcMetadata value)

`.RpcMetadata metadata = 3;`

#### clearMetadata

    public Responses.ExecuteResponse.Builder clearMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadataBuilder

    public Responses.RpcMetadata.Builder getMetadataBuilder()

`.RpcMetadata metadata = 3;`

#### getMetadataOrBuilder

    public Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 3;`

Specified by:
  `getMetadataOrBuilder` in interface `Responses.ExecuteResponseOrBuilder`

#### getMetadataFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder> getMetadataFieldBuilder()

`.RpcMetadata metadata = 3;`

#### setUnknownFields

    public final Responses.ExecuteResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`

#### mergeUnknownFields

    public final Responses.ExecuteResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ExecuteResponse.Builder>`